VERSION 5.00
Begin {C62A69F0-16DC-11CE-9E98-00AA00574A4F} FormNotePad 
   Caption         =   "CommonNotes: NOTEPAD"
   ClientHeight    =   6420
   ClientLeft      =   45
   ClientTop       =   360
   ClientWidth     =   9975
   OleObjectBlob   =   "FormNotePad.frx":0000
   StartUpPosition =   1  'CenterOwner
End
Attribute VB_Name = "FormNotePad"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' --------------------------------------------------------------------03/08/2007
' CommonNotes.swp                   Written by Leonard Kikstra,
'                                   Copyright 2003-2007, Leonard Kikstra
'                                   Downloaded from Lenny's SolidWorks Resources
'                                        at http://www.lennyworks.com/solidworks
' ------------------------------------------------------------------------------
' FormNotePad:       Allows user to add/edit notes in "NotePad" style editor.
' ------------------------------------------------------------------------------
' v2.50 module added

Private Sub CommandCancel_Click()
  Me.Hide
End Sub

Private Sub CommandDone_Click()
  Dim CountPosition As Long
  Dim NotePad       As String
  Dim NewLine       As String
  FormSelectNotes.ListBoxBuild.Clear
  NotePad = Me.TextBoxEditor.Text
  CountPosition = 1
  CountNum = 0
  While NotePad <> ""
'   While CountPosition > 0
      CountPosition = InStr(1, NotePad, Chr(13))
      If CountPosition <> 0 Then    ' Which characters do we keep
        NewLine = Left(NotePad, CountPosition - 1)
        NotePad = Mid(NotePad, CountPosition + 2)
        If NewLine <> "" Then
          FormSelectNotes.ListBoxBuild.AddItem ""
          FormSelectNotes.ListBoxBuild.List(FormSelectNotes.ListBoxBuild.ListCount - 1, 1) = NewLine
        End If
'       CountNum = CountNum + 1
      Else
        If NotePad <> "" Then
          FormSelectNotes.ListBoxBuild.AddItem ""
          FormSelectNotes.ListBoxBuild.List(FormSelectNotes.ListBoxBuild.ListCount - 1, 1) = NotePad
          NotePad = ""
        End If
      End If
'   Wend
  Wend
  Me.Hide
End Sub

